Subject: Mist Storage
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Tue, 25 Sep 2001 12:36:12 -0700 (PDT)

Dave,
 
I mentioned this project to Barry and he suggested that I forward the e-mail to you.
 
AJ is somewhat cagey but here is what I have gathered.

He has rights to several leases within the Mist field
He acquired these thru his association with Enerfin Energy which is actively producing leases adjacent to NW Natural's Mist Field
NW Natural has an agreement with Enerfin that gives them the right to convert all producing properties to storage when they reach their economic limit.
AJ's leases are not subject to this agreement but he expects that NW Natural would take a piece of the field
He has had some conversations with NW Natural but no specifics have been worked out.

He is in desperate need of equity and so came called, hat in hand, so to speak.
 
Just wanted to see if you had any thought son the project or what you interest might be, if any.